Skip to main content
POST
/
bots
/
{id}
/
files
/
move
curl -X POST https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/files/move \
  -H "Authorization: Bearer sess_..." \
  -H "Content-Type: application/json" \
  -d '{
    "src": "src/old-handler.js",
    "dest": "src/handler.js"
  }'
{
  "success": true,
  "data": {
    "src": "src/old-handler.js",
    "dest": "src/handler.js"
  },
  "message": "Moved \"src/old-handler.js\"\"src/handler.js\""
}

Documentation Index

Fetch the complete documentation index at: https://docs.phanomcloud.online/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required
UUID of the bot.

Body

src
string
required
Source path (relative to bot root). Example: src/old-name.js.
dest
string
required
Destination path (relative to bot root). Example: src/new-name.js. To rename, keep the same parent directory.
curl -X POST https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/files/move \
  -H "Authorization: Bearer sess_..." \
  -H "Content-Type: application/json" \
  -d '{
    "src": "src/old-handler.js",
    "dest": "src/handler.js"
  }'
{
  "success": true,
  "data": {
    "src": "src/old-handler.js",
    "dest": "src/handler.js"
  },
  "message": "Moved \"src/old-handler.js\"\"src/handler.js\""
}